// tutorial - le triple buffering (A,B,C)
//  C s'applique sur B puis B s'applique sur A
// permet de placer une image sur un fond en rendant transparent le fond de l'image
// et de faire scroller une image dans le fond de l'image en premant en compte que
// certaines zones (de couleur)

// Auteur  : Lionel ROUVAREL  lionel27@club-internet.fr
// Site de l'auteur : LIOCITY   http://perso.club-internet.fr/lionel27

program triple_buf;

uses
  Forms,
  logosUnit1 in 'logosUnit1.pas' {Form1},
  windows,
  sysutils,
  dialogs;

{$R *.RES}

Var
  ClassName : Array[0..255] of char;
  valeur:integer;

begin
  Application.Initialize;
  Application.Title := 'Start';
  GetClassName(Application.handle, ClassName, 254);
  valeur := FindWindow(ClassName, 'logos');
  if valeur <> 0 then   // Une instance existante trouve
    begin
      ShowWindow(valeur, SW_RESTORE);
      SetForegroundWindow(valeur);
      Application.Terminate;
    end
  else      // Premire cration
    begin
      Application.Title := 'logos';
      Application.CreateForm(TForm1, Form1);
  Application.Run;
    end;
end.
